> ## Documentation Index
> Fetch the complete documentation index at: https://docs.story.foundation/llms.txt
> Use this file to discover all available pages before exploring further.

# GetStakingParams



## OpenAPI

````yaml /api-reference/consensus-client/consensus-client-api.json get /staking/params
openapi: 3.1.0
info:
  title: Consensus Client Api
  description: ''
  version: 1.0.0
servers: []
security: []
tags:
  - name: Cosmos Origin
  - name: Cosmos Origin/Staking
  - name: Cosmos Origin/Auth
  - name: Cosmos Origin/Bank
  - name: Cosmos Origin/Distribution
  - name: Cosmos Origin/Mint
  - name: Story Extend
  - name: Story Extend/Staking
paths:
  /staking/params:
    get:
      tags:
        - Cosmos Origin/Staking
      summary: GetStakingParams
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: object
                    properties:
                      params:
                        type: object
                        properties:
                          unbonding_time:
                            type: string
                          max_validators:
                            type: integer
                          max_entries:
                            type: integer
                          historical_entries:
                            type: integer
                          bond_denom:
                            type: string
                          min_commission_rate:
                            type: string
                          min_delegation:
                            type: string
                          periods:
                            type: array
                            items:
                              type: object
                              properties:
                                duration:
                                  type: string
                                rewards_multiplier:
                                  type: string
                                period_type:
                                  type: integer
                              required:
                                - duration
                                - rewards_multiplier
                                - period_type
                          token_types:
                            type: array
                            items:
                              type: object
                              properties:
                                rewards_multiplier:
                                  type: string
                                token_type:
                                  type: integer
                              required:
                                - rewards_multiplier
                          singularity_height:
                            type: string
                        required:
                          - unbonding_time
                          - max_validators
                          - max_entries
                          - historical_entries
                          - bond_denom
                          - min_commission_rate
                          - min_delegation
                          - periods
                          - token_types
                          - singularity_height
                    required:
                      - params
                  error:
                    type: string
                required:
                  - code
                  - msg
                  - error
              examples:
                '1':
                  summary: Success
                  value:
                    code: 200
                    msg:
                      params:
                        unbonding_time: '10000000000'
                        max_validators: 32
                        max_entries: 14
                        historical_entries: 10000
                        bond_denom: stake
                        min_commission_rate: '0.050000000000000000'
                        min_delegation: '1024000000000'
                        periods:
                          - duration: '0'
                            rewards_multiplier: '1.000000000000000000'
                          - period_type: 1
                            duration: '60000000000'
                            rewards_multiplier: '1.051000000000000000'
                          - period_type: 2
                            duration: '120000000000'
                            rewards_multiplier: '1.160000000000000000'
                          - period_type: 3
                            duration: '900000000000'
                            rewards_multiplier: '1.340000000000000000'
                        token_types:
                          - rewards_multiplier: '0.500000000000000000'
                          - token_type: 1
                            rewards_multiplier: '1.000000000000000000'
                        singularity_height: '600'
                    error: ''
          headers: {}
      deprecated: false
      security: []

````